##################################################

	INCLUDE	'macro.set'

qd_sz		equ	206

##################################################

	string	ASIS

	export	Entry_Point[DS]
	export	.Entry_Point[PR]

##################################################

	csect	.Entry_Point[PR]

	mflr	r0
	stw	r0,8(sp)			# save link register
	addi	sp,sp,-19*4-CALL_STK_SZ
	stmw	r13,CALL_STK_SZ(sp)		# save non-volatile

	lwz       r3,qd[TC](rtoc)
	addic	r3,r3,qd_sz-4

	MAC_OS	InitGraf
	MAC_OS	InitFonts
	MAC_OS	InitWindows
	MAC_OS	InitMenus
	MAC_OS	TEInit
	li	r3,0
	MAC_OS	InitDialogs
	MAC_OS	InitCursor


   _Debugger
	li	r5,5
	li	r4,0

test_n:	li	r3,$3
	mtctr	r3

test_num:	li	r3,7			# count
	stwu	r3,-4(sp)
	li	r3,6			# DebugNum no.
	stwu	r3,-4(sp)
	lwz	r3,test_str[TC](rtoc)	# the string to show
	stwu	r3,-4(sp)
	nop
	nop
	addi	r4,r4,1
	_DebugNum

	nop
	nop

	bdnz	test_num

   _Debugger
	subic.	r5,r5,1
	bne	test_n

    _Debugger
	li	r3,30
	MAC_OS	SysBeep

   _Debugger

bye:	lmw	r13,CALL_STK_SZ(sp)		# restore non-volatile
	addi	sp,sp,19*4+CALL_STK_SZ	# clean stack
	lwz	r0,8(sp)
	mtlr	r0			# restore LR
	li	r3,0			# result
	blr				# return via the link register

##################################################

	tc	qd[TC],qd[RW]
	csect	qd[RW]

	ds.b	qd_sz			# QuickDraw storage

##################################################

	tc	test_str[TC],test_str_[RO]
	csect	test_str_[RO]

	string	Pstring

	dc.b	'test_str'

	align	3

##################################################
##################################################

	tc	Entry_Point[TC],Entry_Point[DS]
	csect	Entry_Point[DS]

	dc.l	.Entry_Point[PR]
	dc.l	TOC[TC0]
	dc.l	0

##################################################

	END